"""initial release

Revision ID: 6b0ba96ecad8
Revises: 
Create Date: 2018-04-12 13:58:26.799621

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '6b0ba96ecad8'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        "indexes",
        sa.Column("index_path", sa.String, primary_key=True, nullable=False),
        sa.Column("prefix", sa.String, nullable=False),
        sa.Column("size_MB", sa.Integer),
        sa.Column("s3_event_sequencer", sa.String, nullable=False),
        sa.Column("last_search_time", sa.DateTime(timezone=True))
    )

    op.create_table(
        "leases",
        sa.Column("index_path", sa.String, sa.ForeignKey('indexes.index_path'), primary_key=True, nullable=False),
        sa.Column("container_version", sa.String, primary_key=True),
        sa.Column("forced", sa.Boolean),
        sa.Column("leased_to", sa.String),
        sa.Column("expiration", sa.DateTime(timezone=True))
    )

    op.create_table(
        "searchers",
        sa.Column("searcher_id", sa.String, primary_key=True, nullable=False),
        sa.Column("org_id", sa.String, primary_key=True, nullable=False),
        sa.Column("container_version", sa.String, primary_key=True),
        sa.Column("endpoint", sa.String, nullable=False),
        sa.Column("starttime", sa.DateTime(timezone=True)),
        sa.Column("endtime", sa.DateTime(timezone=True)),
        sa.Column("index_path", sa.String),
        sa.Column("index_partition_id", sa.String),
        sa.Column("index_stage", sa.Integer),
        sa.Column("expiration", sa.DateTime(timezone=True))
    )


def downgrade():  # pragma: no cover
    op.drop_table('searchers')
    op.drop_table('leases')
    op.drop_table('indexes')
