import os

from index_registry.maintenance.metrics import Metrics
from index_registry.utils.db import ReadWriteDbPool
from index_registry.utils.config import Config
from pscr_common.log import setup_logging, clear_logging_handlers


def main():
    config = Config.create()
    clear_logging_handlers()
    setup_logging(
        level=config.get("log", "level"),
        svc_version=os.environ.get("CONTAINERVERSION", "UNKNOWN"),
        env_id=os.environ.get("ENV_ID", "UNKNOWN"),
        svc_id="TODO",
    )

    db_pool = ReadWriteDbPool(config)
    metrics = Metrics(config, db_pool=db_pool)
    metrics.collect()
    metrics.publish()
