#  This should be removed once we have proper unit tests

from leases_db_interface import DbManager
import logging
from index_registry.utils.config import Config

_logger = logging.getLogger(__name__)
logging.basicConfig()
logging.root.setLevel(logging.DEBUG)

config = Config.create()
lease_manager = DbManager(config)

_logger.info("Starting")

merging_indexes = (
    "gs://bucket/class=default/org=76DFQPQ7/partition=0/type=merging/tstamp=0/size=0/placeholder",
    "gs://bucket/class=default/org=7L9FKGWJ/partition=0/type=merging/tstamp=0/size=0/placeholder"
)
optimized_indexes = (
    "gs://bucket/expire=2024-06-19/class=longTerm/org=7M9F5/partition=0/type=optimized/tstamp=18c7a34/size=8/index",
    "gs://bucket/expire=2024-05-30/class=longTerm/org=7L9FE/partition=0/type=optimized/tstamp=18c123/size=11/index",
    "gs://bucket/expire=2024-05-28/class=default/org=795F/partition=0/type=optimized/tstamp=18f0c0/size=4075/index",
    "gs://bucket/expire=2024-08-31/class=longTerm/org=N2MFM/partition=0/type=optimized/tstamp=18def/size=899/index"
)
for index in merging_indexes:
    lease_manager.add_index(index, True)

for index in optimized_indexes:
    lease_manager.add_index(index, False)