
def properties_from_key(key):
    # gs://<index_bucket>/org=123/partition=34/type=optimized/tstamp=16928183/size=21341/index.trigger
    # gs://<index_bucket>/org=123/partition=34/type=merging/tstamp=null/size=21341/placeholder.trigger
    props = {}
    parts = key.split('/')
    for part in parts:
        field, sep, value = part.partition('=')
        if sep == '=':
            props[field] = value if value != 'null' else None

    return props


def get_org_from_props(props):
    return props.get('org', '')


def get_size_from_props(props):
    size = props.get('size')
    return int(size) if size else None


def get_storage_class_from_props(props):
    return props.get('class', 'default')


def get_type_from_props(props):
    return props.get('type', '')